Bug 22908 - <sys/cdefs.h> in glibc-devel-2.2-9 cpp warning
Summary: <sys/cdefs.h> in glibc-devel-2.2-9 cpp warning
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-28 00:03 UTC by Itai Nahshon
Modified: 2016-11-24 15:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-28 09:43:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:001 high SHIPPED_LIVE : glibc file read or write access local vulnerability 2001-01-11 05:00:00 UTC

Description Itai Nahshon 2000-12-28 00:03:29 UTC
# cpp test.c -o test.lst
In file included from /usr/include/features.h:283,
                 from /usr/include/stdio.h:27,
                 from test.c:1:
/usr/include/sys/cdefs.h:104:27: warning: garbage at end of #ifdef


The offending line is:
#  ifdef __STDC_VERSION__ && __STDC_VERSION__ >= 199901L

(??? should that be changed to
  # if defined(__STDC_VERSION__) && __STDC_VERSION__ >= 199901L
}

Comment 1 Jakub Jelinek 2000-12-28 09:43:54 UTC
Yes, this is known issue, was fixed in CVS and as soon as next glibc rpms are
cut, the fix will be there.

Comment 2 Jakub Jelinek 2001-01-11 22:58:41 UTC
Should be fixed in glibc-2.2-12.


Note You need to log in before you can comment on or make changes to this bug.